# Breadcrumb Overrides

Allows to override the breadcrumbs for specific nodes.

In the node edit form, provides `Breadcrumbs` section in the sidebar with options to:

- disable breadcrumbs for the node,
- manually set the breadcrumbs links for the node.

## TODO

- Improve the breadcrumb links field display in the node edit form sidebar.
- Add tests.
- Create config entity to represent general breadcrumb overrides.
  - title
  - enable override
  - disable breadcrumbs
  - match conditions
    - allow for multiple conditions
    - condition operator (and, or)
    - condition types:
      - route
        - with wildcard options
      - route params
        - has
        - equals
      - is_admin_route
      - path
        - contains
        - equals
  - breadcrumb links
    - manually provided links that will replace the default breadcrumbs
- Create separate view for managing the overrides.
- In the node edit form embed matching breadcrumb (entity.node.canonical or entity.node.preview with node param matching the node) override form.
- Add more granular permissions for managing the overrides:
  - per entity type,
  - per entity bundle,
  - for own content.
- Add option to provide icon for the breadcrumb link.
